package domain


type AlibabaTclsAelophyRefundCsapplyrenderApiResult struct {
    /*
        回调返回编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        回调是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        回调错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        数据     */
    Model  *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto `json:"model,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyrenderApiResult) SetErrCode(v string) *AlibabaTclsAelophyRefundCsapplyrenderApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderApiResult) SetSuccess(v bool) *AlibabaTclsAelophyRefundCsapplyrenderApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderApiResult) SetErrMsg(v string) *AlibabaTclsAelophyRefundCsapplyrenderApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderApiResult) SetModel(v AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderResponseDto) *AlibabaTclsAelophyRefundCsapplyrenderApiResult {
    s.Model = &v
    return s
}
